# classes/phing/types/selectors/SelectorContainer.php

This is the interface for selectors that can contain other selectors.

author
  Bruce Atherton
package
  phing.types.selectors

## \SelectorContainer
jump to top

This is the interface for selectors that can contain other selectors.

author
  Bruce Atherton
package
  phing.types.selectors

### Methods

`appendSelector( \selector $selector ) : \the`
Add a new selector into this container.
Parameters

Name | Type | Description
--- | --- | ---
$selector | \selector | the new selector to add

Returns

Type | Description
--- | ---
\the |

`createAnd( ) :`
add an "And" selector entry on the selector list
`createContains( ) :`
add a contains selector entry on the selector list
`createCustom( ) :`
add an extended selector entry on the selector list
`createDate( ) :`
add a selector date entry on the selector list
`createDepend( ) :`
add a depends selector entry on the selector list
`createDepth( ) :`
add a depth selector entry on the selector list
`createFilename( ) :`
add a selector filename entry on the selector list
`createMajority( ) :`
add a majority selector entry on the selector list
`createNone( ) :`
add a "None" selector entry on the selector list
`createNot( ) :`
add a "Not" selector entry on the selector list
`createOr( ) :`
add an "Or" selector entry on the selector list
`createPresent( ) :`
add a present selector entry on the selector list
`createSelector( ) :`
add a "Select" selector entry on the selector list
`createSize( ) :`
add a selector size entry on the selector list
`getSelectors( $p ) : \an`
Returns a *copy* of the set of selectors as an array.
Parameters

Name | Type | Description
--- | --- | ---
$p |  |

Returns

Type | Description
--- | ---
\an |

`hasSelectors( ) : \whether`
Indicates whether there are any selectors here.
Returns

Type | Description
--- | ---
\whether |

`selectorCount( ) : \the`
Gives the count of the number of selectors in this container
Returns

Type | Description
--- | ---
\the |

`selectorElements( ) : \an`
Returns an array for accessing the set of selectors.
Returns

Type | Description
--- | ---
\an |

Documentation was generated by DocBlox 0.13.1.